<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<!--start-->
<body style="margin:0px;" bgcolor="#ffffff">
<center>
<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td valign="top" height="100%"><table width="100%" border="0" cellspacing="0" cellpadding="0" height="100%">
      <tr>
        <td width="83" background="images/004.gif" bgcolor="#5A6B99" style="background-position:bottom;background-repeat:repeat-x;"><img src="images/footer4.gif" width="83"/></td>
        <td height="100%" valign="top" background="images/003.gif" style="padding:20px;"><table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td  style="padding:0 20px;"><table width="100%" border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td style="padding-bottom:15px;">
				<!-- LOGO -->
				<table  border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td width="100" rowspan="2"><div align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></div></td>
                    <td><table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td class="company" valign="bottom"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
  </tr>
  <tr>
    <td class="slogan" valign="top"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
  </tr>
</table></td>
                  </tr>
                  
                </table><!-- END LOGO --></td>
		<td width="220" align="right" class="slogan" style="padding-right:20px;text-decoration:underline">
		<xsl:value-of select="COMPANY-INFO/URL" disable-output-escaping="yes"/></td>
              </tr>
            </table></td>
          </tr>
          <tr>
            <td height="1" background="images/line.gif" style="background-position:top;background-repeat:repeat-x;padding:15px;">
			<!-- MENU -->
			
			<table border="0" cellspacing="0" cellpadding="0" align="center">
              <tr>
			   <td width="15"></td>
                <xsl:call-template name="TOP-MENU"/>
              </tr>
            </table><!-- END MENU --></td>
          </tr>
          <tr>
            <td><table align="center" border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td style="border: 6px solid #FFFFFF;"><img src="images/header.gif" width="536" height="129"/></td>
              </tr>
            </table></td>
          </tr>
          <tr>
            <td height="100%" valign="top" style="padding:15px;"><table width="100%" border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td width="160" valign="top"><table width="160" border="0" align="center" cellpadding="0" cellspacing="0">
                  <tr>
                    <td valign="top">
					<!-- SUBMENU -->
					<table width="139" border="0" align="center" cellpadding="0" cellspacing="0">
                     <xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
                    </table><!-- END SUBMENU --></td>
                  </tr>
                </table></td>
                <td valign="top" style="padding-left:15px;padding-right:15px;">
				<!-- CONTENT -->
				<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0" class="pageContent">
                  <tr>
                    <td valign="top"><table border="0" cellspacing="0" cellpadding="0">
                      <tr>
                        <td class="pathway"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                        <td><img src="images/008.gif" width="17" height="17"/></td>
                      </tr>
                    </table>
                      <br/>
<table border="0" cellspacing="0" cellpadding="0" width="100%">
<tr>
	<td class="pageContent" name="SB_stretch" width="100%" valign="top">
	<xsl:apply-templates select="PAGE-CONTENT"/>
	</td>
</tr>
</table>
</td></tr>
                </table><!-- END CONTENT --></td>
              </tr>
            </table></td>
          </tr>
          <tr>
           
          </tr>
        </table></td>
        <td width="83"  background="images/004.gif" bgcolor="#5A6B99" style="background-position:bottom;background-repeat:repeat-x;"><img src="images/footer4.gif" width="83"/></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="83" valign="bottom" background="images/001.gif"><img src="images/footer2.gif"/></td>
        <td valign="bottom" background="images/002.gif" style="background-position:bottom;background-repeat:repeat-x;"><table width="100%" border="0" cellspacing="0" cellpadding="0">
            <tr>
              <td valign="bottom" style="background-position:bottom left;background-repeat:repeat-x;" background="images/footer3.gif" align="center"><img src="images/footer.gif" /></td>
            </tr>
        </table></td>
        <td width="83" valign="bottom" background="images/001.gif"><img src="images/footer1.gif"/></td>
      </tr>
    </table></td>
  </tr>
</table>
</center>
</body>
<!--end-->
</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >


<tr>
<td class="s1"><img src="images/006.gif"/></td>
<td class="smenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
</tr>
 <tr>
<td colspan="2"><img src="images/005.gif"/></td>
</tr>

		</xsl:when>
		<xsl:otherwise>
		<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">



<tr>
<td class="s1"><img src="images/006.gif"/></td>
<td class="smenua"><a href='{@HREF}' class="smenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a> </td>
</tr>
 <tr>
<td colspan="2"><img src="images/005.gif"/></td>
</tr>
		</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">



	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >



	   </xsl:when>

           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >



           </xsl:when>
           <xsl:otherwise>



	   </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">



  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
