<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<TABLE CELLPADDING="0" CELLSPACING="0" BORDER="0" class="main-bg" style="width: 100%; height: 100%;" summary="">
	<TR>
		<TD height="76" style="background-image: url('images/top_bg.gif');">
			<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 100%; background-image: url('images/top_l.gif'); background-repeat: no-repeat;">
				<tr><td style="background-image: url('images/top_r.gif'); background-position: top right; background-repeat: no-repeat;"></td></tr>
			</table>
		</TD>
	</TR>
	<TR>
		<TD height="40" class="menu-bg">
			<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 100%;">
				<tr>
					<td><img src="images/menu_l.gif" border="0" alt=""/></td>
					<td width="100%">
						<!-- MENU -->
						<table cellpadding="0" cellspacing="0" align="center" summary="">
							<tr>
								<xsl:call-template name="TOP-MENU"/>
							</tr>
						</table>
						<!-- END MENU -->
					</td>
					<td><img src="images/menu_r.gif" border="0" alt=""/></td>
				</tr>
			</table>
		</TD>
	</TR>
	<TR>
		<TD height="174" style="background-image: url('images/header_bg.gif');">
			<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 100%;">
				<tr>
					<td><img src="images/header.jpg" border="0" alt=""/></td>
					<td width="100%">
						<!-- LOGO -->
						<table cellpadding="0" cellspacing="0" summary="" align="center">
							<tr><td align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td></tr>
							<tr><td align="center" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td></tr>
							<tr><td align="center" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td></tr>
						</table>
						<!-- END LOGO -->
					</td>
					<td><img src="images/header_r.gif" border="0" alt=""/></td>
				</tr>
			</table>
		</TD>
	</TR>
	<TR>
		<TD height="100%" name="SB_stretch" valign="top">
			<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 100%;">
				<tr valign="top">
					<td class="submenu-bg" style="background-image: url('images/submenu_bg.gif');">
						<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 309px; height: 100%; background-image: url('images/submenu_tbg.gif'); background-repeat: no-repeat;">
							<tr>
								<td valign="top" style="padding: 10 30px 250px 5px; background-image: url('images/submenu_bbg.jpg'); background-position: bottom; background-repeat: no-repeat;">
									<!-- SUBMENU -->
									<table cellpadding="0" cellspacing="0" width="130" align="right" summary="">
										<xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
									</table>
									<!-- END SUBMENU -->
								</td>
							</tr>
						</table>
					</td>
					<td width="100%" style="background-image: url('images/bg_rbg.gif'); background-position: right; background-repeat: repeat-y;">
						<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 100%; background-image: url('images/bg_bbg.gif'); background-position: bottom; background-repeat: repeat-x;">
							<tr>
								<td style="background-image: url('images/bg_br.gif'); background-position: bottom right; background-repeat: no-repeat;">
									<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 100%;">
										<tr>
											<td height="100%" valign="top" class="pageContent" style="padding: 20px 115px 35px 20px;">
												<!-- CONTENT -->
												<div class="text-header"><img src="images/txtheader_bullet.gif" border="0" alt="" align="absmiddle" style="margin-right: 5px;"/><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></div>
												<div style="width:0px; height:15px;"><span></span></div>
												<xsl:apply-templates select="PAGE-CONTENT"/>
												<!-- END CONTENT -->
											</td>
										</tr>
										<tr>
											<td height="110" valign="top" class="footer" style="padding: 0 180px 0 30px;">
												<!-- FOOTER -->
												<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
												<!-- END FOOTER -->
											</td>
										</tr>
									</table>
								</td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
		</TD>
	</TR>
</TABLE>
	<!--sw_sb_ms-->
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>

<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
			<tr>
				<td align="right" class="asubmenu" style="padding-left: 5px; width: 100%; height: 30px;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
				<td align="right" style="padding: 0 5px 0 5px"><img src="images/submenu_bullet.gif" border="0" alt=""/></td>
			</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
				<tr>
					<td align="right" style="padding-left: 5px; width: 100%; height: 30px;"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
					<td align="right" style="padding: 0 5px 0 5px"><a href="{@HREF}"><img src="images/submenu_bullet.gif" border="0" alt=""/></a></td>
				</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<tr><td style="height: 1px; background-color:  #FFFFFF;"></td><td></td></tr>
	</xsl:if>
</xsl:template>	

<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}">
		<xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute>
	</meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
