<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="html" indent="no"/>
	<xsl:strip-space elements="*"/>
	<xsl:include href="buttons.xsl"/>
	<xsl:include href="headers.xsl"/>
	<!-- LAYOUT -->
	<xsl:template match="LAYOUT">
		<xsl:variable name="cID" select="@ID"/>

		<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css"/>
			<style>
				img { behavior:url('images/pngbehavior.htc'); }
			</style>
		</head>
		<body bgcolor="#fff2ff" marginwidth="0" marginheight="0" leftmargin="0" topmargin="0" alink="#006699" link="#006699" text="#000000">
			<table border="0" cellspacing="0" cellpadding="0" width="100%" height="100%" id="divpositionlabel1">
				<tr>
					<td width="100%" style="background-color: #ffffff; background-image: url('images/bg.gif'); 	background-repeat: repeat-x;"><xsl:call-template name="TOP"/></td>
				</tr>
				<tr>
					<td bgcolor="#ffffff">
						<div style="width:1px; height:1px;"><spacer type="block" width="1" height="1" /></div>
					</td>
				</tr>
				<tr>
					<td background="images/menubg.gif" height="40"><xsl:call-template name="TOP-MENU"/></td>
				</tr>
				<tr>
					<td valign="top" height="100%">
						<table border="0" cellspacing="0" cellpadding="0" width="100%" height="100%">
							<tr valign="top">
								<td class="leftside" style="background-image:url('images/leftbg.gif'); background-repeat:repeat-y;">
									<img src="images/leftside.gif" border="0" width="218" height="23" alt="" /><br />
									<xsl:call-template name="SUB-MENU">
										<xsl:with-param name="pageID" select="@ID"/>
									</xsl:call-template>
								</td>
								<td class="rightside" width="100%" style="background-image: url('images/corner.gif'); background-repeat: no-repeat;">
									<table border="0" cellspacing="0" cellpadding="0" width="100%">
										<tr>
											<td width="80%" class="text">
                                                <b><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></b><br/><br/>
												<xsl:apply-templates select="PAGE-CONTENT"/>
												<div style="width:500px; height:1px;">
													<spacer type="block" width="500" height="1" />
												</div>
											</td>
											<td width="20%"></td>
										</tr>
									</table>
								</td>
							</tr>
						</table>
					</td>
				</tr>
				<tr>
					<td class="prefooter">
						<div style="width:1px; height:5px;">
							<spacer type="block" width="1" height="5" />
						</div>
					</td>
				</tr>
				<tr><td class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td></tr>
			</table>
		</body>
		</html>

	</xsl:template>


	<!--TOP-->

	<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>			
	</xsl:template>
  
	<xsl:template name="SUB-MENU">
		<xsl:param name="pageID"/>
		<xsl:choose>
			<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
				<table border="0" cellspacing="0" cellpadding="0" width="191" style="margin:10px 13px 20px 14px;" align="center">
					<tr>
						<td align="right">
							<img src="images/line.gif" border="0" width="181" height="1" alt="" />
						</td>
					</tr>
					   <xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
					<tr>
						<td align="right">
							<img src="images/line.gif" border="0" width="181" height="1" alt="" />
						</td>
					</tr>
				</table>
			</xsl:when>
			<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
				<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
				<table border="0" cellspacing="0" cellpadding="0" width="191" style="margin:10px 13px 20px 14px;" align="center">
					<tr>
						<td align="right">
							<img src="images/line.gif" border="0" width="181" height="1" alt="" />
						</td>
					</tr>
					   <xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
					<tr>
						<td align="right">
							<img src="images/line.gif" border="0" width="181" height="1" alt="" />
						</td>
					</tr>
				</table>
			</xsl:when>
		<xsl:otherwise>
			<!-- no op -->
			&#160;
		</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<!--META-TAGS-->
	<xsl:template match="META-TAGS">
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	
	<xsl:template match="*" mode="meta-tags">
		<meta name="{local-name(.)}">
			<xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute>
		</meta>
	</xsl:template>
	<!--PAGE-CONTENT-->
	<xsl:template match="PAGE-CONTENT">
		<xsl:comment> EDITABLE CONTENT </xsl:comment>
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	     	
</xsl:stylesheet>	
