<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
	<!--MENU-->
	<xsl:template match="MENU" mode="top">
		<xsl:apply-templates select="MENU-ITEM"  mode="top"/>
	</xsl:template>
 

	<!--MENU-ITEM-->
	<xsl:template match="MENU-ITEM"  mode="top">
			<xsl:choose>
            <!-- when vizited inside-->
            	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
        			<tr>
        				<td align="right" width="45"><img src="images/abullet.png" width="45" height="29"/></td>
        				<td style="background-image: url('images/amenu_bg.png'); background-repeat: repeat-x;">
        					<table cellpadding="0" cellspacing="0" width="82" height="29">
        						<tr>								
        							<td style="background-image: url('images/amenu_mbg.png'); background-repeat: no-repeat;" width="82" class="menu"><nobr><a href="{@HREF}" class="menu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></nobr></td>
        						</tr>
        					</table>
        				</td>
        				<td align="left"><img src="images/amenu_rbg.png" width="30" height="29"/></td>
        			</tr>
                </xsl:when>
                <!-- when active-->
                <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
        			<tr>
        				<td align="right" width="45"><img src="images/abullet.png" width="45" height="29"/></td>
        				<td style="background-image: url('images/amenu_bg.png'); background-repeat: repeat-x;">
        					<table cellpadding="0" cellspacing="0" width="82" height="29">
        						<tr>								
        							<td style="background-image: url('images/amenu_mbg.png'); background-repeat: no-repeat;" width="82" class="menu"><nobr><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></nobr></td>
        						</tr>
        					</table>						
        				</td>
        				<td align="left"><img src="images/amenu_rbg.png" width="30" height="29"/></td>
        			</tr>
                </xsl:when>
                <xsl:otherwise>
        			<tr>
        				<td align="right" width="45"><img src="images/bullet.png" width="45" height="29"/></td>
        				<td style="background-image: url('images/menu_bg.png'); background-repeat: repeat-x;">
        					<table cellpadding="0" cellspacing="0" width="82" height="29">
        						<tr>
        							<td style="background-image: url('images/menu_mbg.png'); background-repeat: no-repeat;" width="82"><nobr><a href="{@HREF}" class="menu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></nobr></td>								
        						</tr>
        					</table>						
        				</td>
        				<td align="left"><img src="images/menu_rbg.png" width="30" height="29"/></td>
        			</tr>
                </xsl:otherwise>
            </xsl:choose>
            <xsl:if test="position()!=last()">
  	   			<tr><td height="1" colspan="3"><div style="width:1px; height:1px;"><spacer type="block" width="1" height="1"/></div></td></tr>
  	   		</xsl:if>
	</xsl:template>


	<xsl:template match="MENU-ITEM" mode="sub">
        <xsl:choose>
            <xsl:when test="@ID=/LAYOUT/@ID" >
   				<tr>	
   					<td width="11" style="padding: 8px 0px 8px 0px;"><img src="images/submenu_bullet.gif" border="0"/></td>
   					<td width="79" style="padding: 8px 0px 8px 5px;"><span class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>					
   				</tr>
   				<xsl:if test="position()!=last()">
	   				<tr><td height="1" colspan="2" class="submenu-separator"><div style="width:90px; height:0px;"><spacer type="block" width="160" height="0" /></div></td></tr>					
	   			</xsl:if>
            </xsl:when>
            <xsl:otherwise>
				<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
    				<tr>	
    					<td width="11" style="padding: 8px 0px 8px 0px;"><a href="{@HREF}"><img src="images/submenu_bullet.gif" border="0"/></a></td>
    					<td width="79" style="padding: 8px 0px 8px 5px;"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>					
    				</tr>
    				<xsl:if test="position()!=last()">
		   				<tr><td height="1" colspan="2" class="submenu-separator"><div style="width:90px; height:0px;"><spacer type="block" width="160" height="0" /></div></td></tr>					
	 	   			</xsl:if>
				</xsl:if>
            </xsl:otherwise>
		</xsl:choose>
	</xsl:template>

</xsl:stylesheet>
