<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="html" indent="no"/>
	<xsl:strip-space elements="*"/>
	<xsl:include href="buttons.xsl"/>
	<xsl:include href="headers.xsl"/>
	<!-- LAYOUT -->
	<xsl:template match="LAYOUT">
		<xsl:variable name="cID" select="@ID"/>

		<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css"/>
			<style>
				img { behavior:url('images/pngbehavior.htc'); }
			</style>
		</head>
        <BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">
		<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" background="images/main_bg.gif"><tr><td>
        <TABLE WIDTH="780" HEIGHT="100%" CELLPADDING="0" CELLSPACING="0" BORDER="0" bgcolor="White">
        	<TR>
        		<TD colspan="2" width="780" height="294" valign="top" class="top-bg" style="background-image: url('images/header.jpg'); background-repeat: no-repeat;">
        		<!-- HEADER -->
        		<!-- TOP -->
        			<table cellpadding="0" cellspacing="0" height="45" style="margin: 40px 5px 0px 25px">
        				<tr>
        					<td rowspan="2"><a href="./"><img src="images/{LOGO/@NAME}" border="0" style="margin-right: 10px;"/></a></td>
        					<td class="company" valign="bottom"><nobr><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></nobr></td>
        				</tr>
        				<tr>
        					<td class="slogan" valign="top" style="padding-left: 25px;"><nobr><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></nobr></td>
        				</tr>							
        			</table>
        		<!-- END TOP -->
        		<!-- MENU -->

           			<!-- CALL MAIN-MENU-->
           			<xsl:call-template name="TOP-MENU"/>

        		<!-- END MENU -->
        		<!-- END HEADER -->
        		</TD>
        	</TR>
        	<TR>
        		<TD valign="top" width="100" height="100%" class="bg">
        		<!-- SUBMENU -->

       				
       				<!-- CALL SUB-MENU-->
       				<xsl:call-template name="SUB-MENU">
       					<xsl:with-param name="pageID" select="@ID"/>
       				</xsl:call-template>


        		<!-- END SUBMENU -->
        		</TD>
        		<TD valign="top" width="680" height="100%" class="bg" style="background-image: url('images/bg.gif'); background-repeat: repeat-x;">
        		<!-- CONTENT -->
        			<table cellpadding="0" cellspacing="0" width="660">
        				<tr>
        					<td width="18" valign="top"><img src="images/txt_header_bullet.gif"/></td>
        					<td width="642" class="text" style="padding-bottom: 20px;">
								<div style="width:1px; height:4px;"><spacer type="block" width="1" height="4" /></div>
        						<div class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></div>

		        				<xsl:apply-templates select="PAGE-CONTENT"/>

        					</td>
        				</tr>
        			</table>
        		<!-- END CONTENT -->
        		</TD>
        	</TR>
        	<TR>
        		<TD colspan="2" width="780" height="75" valign="top" style="padding: 30px 30px 0px 30px">
        		<div style="float: left; width: 200px;" class="footer">
        		<!-- FOOTER -->

					<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>

        		<!-- END FOOTER -->
        		</div>
        		<div style="float: right">
        		<!-- BOTTOM MENU -->

   					<!--CALL BOTTOM-MENU -->
   					<xsl:call-template name="BOTTOM-MENU"/>

        		<!-- END BOOTTOM MENU -->
        		</div>
        		</TD>
        	</TR>
        </TABLE>
		</td></tr></table>
        </BODY>
		</html>

	</xsl:template>


	<!--TOP-->


	<xsl:template name="TOP-MENU">
   		<table cellpadding="0" cellspacing="0" width="155" style="margin: 50px 5px 0px 220px">
			<xsl:apply-templates select="MENU" mode="top"/>			
   		</table>
	</xsl:template>
  


	<xsl:template name="SUB-MENU">
		<xsl:param name="pageID"/>
		<xsl:choose>
			<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
    			<table cellpadding="0" cellspacing="0" width="90" border="0" style="margin: 25px 0px 0px 13px">
					<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
				</table>
			</xsl:when>
			<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
				<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
    			<table cellpadding="0" cellspacing="0" width="90" border="0" style="margin: 25px 0px 0px 13px">
				   <xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
				</table>
			</xsl:when>
		<xsl:otherwise>
			<!-- no op -->
			&#160;
		</xsl:otherwise>
		</xsl:choose>
	</xsl:template>


	<xsl:template name="BOTTOM-MENU">
   		<table cellpadding="0" cellspacing="0">
	   		<tr>
    			<xsl:apply-templates select="MENU" mode="bottom"/>			
   			</tr>
   		</table>
	</xsl:template>


	<xsl:template match="MENU" mode="bottom">
		<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
	</xsl:template>

	<xsl:template match="MENU-ITEM"  mode="bottom">
			<xsl:choose>
            <!-- when vizited inside-->
            	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
    				<td><a href="{@HREF}" class="abmenu"><nobr><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></nobr></a></td>
                </xsl:when>
                <!-- when active-->
                <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
    				<td><span class="abmenu"><nobr><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></nobr></span></td>
                </xsl:when>
                <xsl:otherwise>
    				<td><a href="{@HREF}" class="bmenu"><nobr><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></nobr></a></td>
                </xsl:otherwise>
            </xsl:choose>
			<xsl:if test="position()!=last()">
				<td><img src="images/bmenu_separator.gif" style="margin: 0px 5px 0px 5px"/></td>
			</xsl:if>
	</xsl:template>



	<!--META-TAGS-->
	<xsl:template match="META-TAGS">
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	
	<xsl:template match="*" mode="meta-tags">
		<meta name="{local-name(.)}">
			<xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute>
		</meta>
	</xsl:template>
	<!--PAGE-CONTENT-->
	<xsl:template match="PAGE-CONTENT">
		<xsl:comment> EDITABLE CONTENT </xsl:comment>
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	     	
</xsl:stylesheet>	
