<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<!--start-->
<body style="margin:0px;" bgcolor="#ffffff">
<center>
<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td height="181" valign="top" background="images/bg.jpg"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td height="181" background="images/header.jpg" style="background-position:top right;background-repeat:no-repeat;padding-left:10px;">
		<!-- LOGO -->
		<table width="200" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td><div align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></div></td>
          </tr>
          <tr>
            <td class="company"><div align="center"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></div></td>
          </tr>
          <tr>
            <td class="slogan"><div align="center"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></div></td>
          </tr>
        </table><!-- END LOGO --></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td valign="top" bgcolor="#FFFFFF" style="padding:1px;"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td  style="border: 1px solid #C6CBCF;	">
		<!-- MENU -->
		<table  border="0" align="left" cellpadding="0" cellspacing="0" height="37">
          <tr>
            <td width="20"></td>
           <xsl:call-template name="TOP-MENU"/>
<td width="1" bgcolor="CCCCCC"></td>
			 <td width="20"></td>
          </tr>
        </table><!-- END MENU --></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td valign="top"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td height="35" background="images/001.gif" style="padding:1px;">
		<!-- SUBMENU -->
		<table  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="15"></td>
           <xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
            <td width="15"></td>
          </tr>
        </table><!-- END SUBMENU --></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="100%" valign="top" bgcolor="#FBFBFB" style="padding-top:20px;padding-bottom:20px;">
	<!-- CONTENT -->
	<table width="100%"  border="0" cellspacing="0" cellpadding="0" height="100%">
      <tr>
        <td width="214" height="323" valign="top" background="images/003.gif" bgcolor="#FBFBFB" style="background-position:bottom;background-repeat:no-repeat;padding-top:20px;"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td class="pathway" style="padding-left:25px;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
            <td width="32" align="right"><img src="images/004.gif" width="32" height="27"/></td>
          </tr>
        </table></td>
        <td valign="top" style="border: 1px solid #C6CBCF;padding:15px;"><table width="100%"  border="0" cellpadding="0" cellspacing="0" class="pageContent">
          <tr>
            <td>        <table border="0" cellspacing="0" cellpadding="0" width="100%">
<tr>
	<td class="pageContent" name="SB_stretch" width="100%" valign="top">
	<xsl:apply-templates select="PAGE-CONTENT"/>
	</td>
</tr>
</table>
</td>
          </tr>
        </table></td>
        <td valign="top" width="44" background="images/002.gif" style="background-position:top;background-repeat:repeat-y;"><img src="images/008.gif"/></td>
      </tr>
    </table><!-- END CONTENT --></td>
  </tr>
  <tr>
    <td height="65" bgcolor="#959595" style="padding-top:20px;padding-bottom:20px;"><table width="100%"  border="0" align="center" cellpadding="5" cellspacing="0">
      <tr>
        <td><!-- BOTTOM MENU --><table  border="0" align="center" cellpadding="0" cellspacing="0">
          <tr>
		  <td width="10"></td>
           <xsl:call-template name="BOTTOM-MENU"/>
            <td width="10"></td>
          </tr>
        </table><!-- END BOTTOM MENU --></td>
      </tr>
      <tr>
        <td style="padidng-top:10px;"><!-- FOOTER --><table  border="0" align="center" cellpadding="0" cellspacing="0">
          <tr>
            <td class="copyright"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
          </tr>
        </table><!-- END FOOTER --></td>
      </tr>
    </table></td>
  </tr>
  
</table>
</center>
</body>
<!--end-->
</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >


<td width="11"><img src="images/006.gif"/></td>
<td class="smenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>


		</xsl:when>
		<xsl:otherwise>
		<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">



<td width="11"><img src="images/006.gif"/></td>
<td class="smenua"><a href='{@HREF}' class="smenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a> </td>


		</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">

  <td width="15"></td>

	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >


<td><div align="center"><a href='{@HREF}' class="bmenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a> </div></td>
	   </xsl:when>

           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >

<td class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>

           </xsl:when>
           <xsl:otherwise>


<td><div align="center"><a href='{@HREF}' class="bmenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a> </div></td>

	   </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">

 <td width="16"><img src="images/007.gif"/></td>

  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
