<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="html" indent="no"/>
	<xsl:strip-space elements="*"/>
	<xsl:include href="buttons.xsl"/>
	<xsl:include href="headers.xsl"/>
	<!-- LAYOUT -->
	<xsl:template match="LAYOUT">
		<xsl:variable name="cID" select="@ID"/>

		<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css"/>
			<style>
				img { behavior:url('images/pngbehavior.htc'); }
			</style>
		</head>
        <body marginwidth="0" marginheight="0" leftmargin="0" topmargin="0" bottommargin="0" rightmargin="0">

        <table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" class="alltable">
        <tr height="44">
        <td rowspan="2" width="50%" class="top-bg" style="background-image: url('images/top_bgrpt.gif'); background-repeat: repeat-x;"></td>
        <td colspan="3" class="top-bg" style="background-image: url('images/top_bgrpt.gif'); background-repeat: repeat-x;"><div style="width:692px; height:0px;"><spacer/></div></td>
        <td rowspan="2" width="50%" class="top-bg" style="background-image: url('images/top_bgrpt.gif'); background-repeat: repeat-x;"></td>
        </tr>

        <tr height="162">
        <td colspan="3">
        <xsl:attribute name="style"><xsl:call-template name="TOP"/></xsl:attribute>
        	<table cellpadding="0" cellspacing="0" border="0">
        	<tr>
        	<td align="right">
        		<div class="mycompany"><span class="mycompany-color"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></span></div>
        		<div class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></div>
        	</td>
        	<td style="padding-left:3px;"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
        	</tr>
        	</table>
        </td>
        </tr>

        <tr height="30">
        <td rowspan="3" style="background-color:  #bebebe; background-image: url(images/stripes.gif); background-position: top right;"></td>
        <td colspan="3" style="padding-left:5px; background-image: url('images/menu_bgrpt.gif'); background-repeat: repeat-x;">
        	<!-- CALL TOP-MENU -->
        	<xsl:call-template name="TOP-MENU"/>

        </td>
        <td rowspan="3" style="background-color:  #bebebe; background-image: url(images/stripes.gif); background-position: top left;"></td>
        </tr>

        <tr height="100%">
        <td bgcolor="#ffffff" valign="top">	
        	<div style="width:491px; height:0px;"><spacer/></div>
        	<table cellpadding="0" cellspacing="0" border="0" width="100%">
        	<tr height="50">
        	<td class="pageheader" style="background-image: url('images/pageheader_mark.gif'); background-position: center left; background-repeat: no-repeat;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
        	</tr>
        	<tr>
        	<td class="thatext" style="padding:0px 20px 10px 20px;">
        		<xsl:apply-templates select="PAGE-CONTENT"/>
        	</td>
        	</tr>
        	</table>
        </td>
        <td valign="top" style="background-color:  #d9d9db; background-image: url(images/2ndmenu_stripes.gif); background-position: top left;">
        	<div style="width:191px; height:0px;"><spacer/></div>
        	<table cellpadding="0" cellspacing="0" border="0" width="100%">
        	<tr height="11"><td colspan="2" style="background-color:#d9d9db;"></td></tr>
        	<tr><td colspan="2" class="second-divider"></td></tr>
        	<!-- CALL SUB-MENU -->
        	<xsl:call-template name="SUB-MENU">
        		<xsl:with-param name="pageID" select="@ID"/>
        	</xsl:call-template>

        	</table>
        	<img src="images/itsmagic.png" width="191" height="27" border="0" alt=""/>
        </td>
        <td class="main-color"><div style="width:10px; height:0px;"><spacer/></div></td>
        </tr>

        <tr height="10">
        <td bgcolor="#ffffff"></td>
        <td colspan="2" class="main-color"></td>
        </tr>

        <tr height="55" bgcolor="#c5c5c5">
        <td></td>
        <td colspan="3" align="center">
            <!-- CALL BOTTOM-MENU -->
            <xsl:call-template name="BOTTOM-MENU"/>
        	<table cellpadding="0" cellspacing="0" border="0">
        	<tr>
        	<td class="copy">
        		<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
        	</td>
        	</tr>
        	</table>
        </td>
        <td></td>
        </tr>
        </table>

        </body>
		</html>

	</xsl:template>

   				
	<!--TOP-MENU-->
   				
	<xsl:template name="TOP-MENU">
       	<table cellpadding="0" cellspacing="0" border="0" height="30">
       	<tr>
			<xsl:apply-templates select="MENU" mode="top"/>			
       	</tr>
       	</table>
	</xsl:template>
  
    					
	<xsl:template name="SUB-MENU">
		<xsl:param name="pageID"/>
		<xsl:choose>
			<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
				<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
			</xsl:when>
			<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
				<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
				<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
			</xsl:when>
		<xsl:otherwise>
			<!-- no op -->
			&#160;
		</xsl:otherwise>
		</xsl:choose>
	</xsl:template>


  				
	<xsl:template name="BOTTOM-MENU">
       	<table cellpadding="0" cellspacing="0" border="0" height="14" style="margin-bottom:5px;">
        	<tr>
				<xsl:apply-templates select="MENU" mode="bottom"/>			
   			</tr>
   		</table>
	</xsl:template>


	<xsl:template match="MENU" mode="bottom">
		<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
	</xsl:template>


	<xsl:template match="MENU-ITEM"  mode="bottom">
   		<xsl:choose>
           <!-- when vizited inside-->
           	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
            	<td class="bottommenuitem"><a href="{@HREF}" style="text-decoration:underline;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
            </xsl:when>
            <!-- when active-->
            <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
            	<td class="bottommenuitem"><span  style="text-decoration:underline;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
            </xsl:when>
            <xsl:otherwise>
            	<td class="bottommenuitem"><a href="{@HREF}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
            </xsl:otherwise>
        </xsl:choose>
        <xsl:if test="position()!=last()">
          	<td class="bottommenudivider" style="background-image: url('images/bottommenu_divider.gif'); background-position: center center; background-repeat: no-repeat;"></td>
        </xsl:if>
	</xsl:template>


	<!--META-TAGS-->
	<xsl:template match="META-TAGS">
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	
	<xsl:template match="*" mode="meta-tags">
		<meta name="{local-name(.)}">
			<xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute>
		</meta>
	</xsl:template>
	<!--PAGE-CONTENT-->
	<xsl:template match="PAGE-CONTENT">
		<xsl:comment> EDITABLE CONTENT </xsl:comment>
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	     	
</xsl:stylesheet>	
