<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<TABLE WIDTH="100%" HEIGHT="100%" CELLPADDING="0" CELLSPACING="0" BORDER="0">
	<TR>
		<TD height="239" style="background-image: url('images/header_bg.gif'); background-repeat: repeat-x;">
			<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" style="background-image: url('images/header.jpg'); background-repeat: no-repeat;">
				<tr>
					<td style="padding-left: 50px;">
					<!-- LOGO -->
						<table cellpadding="0" cellspacing="0" border="0">
							<tr>
								<td align="center" valign="top"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt="" style="margin-bottom: 10px;"/></a><div class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></div></td>
								<td><div style="width:50px; height:1px;"><spacer type="block" width="50" height="1"/></div></td>
								<td class="slogan"><img src="images/logo_bullet.gif" align="left" style="margin-right: 15px;" border="0" alt=""/><b><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></b></td>
							</tr>
						</table>
					<!-- END LOGO -->
					</td>
				</tr>
			</table>
		</TD>
	</TR>
	<TR>
		<TD height="58" valign="top" style="background-image: url('images/menu_bg.gif'); background-repeat: repeat-x;">
			<table cellpadding="0" cellspacing="0" border="0" width="100%" height="58">
				<tr>
					<td><img src="images/menu_l.gif" border="0" alt=""/></td>
					<td width="100%" valign="top" style="padding-top: 3px;">
						<!-- MENU -->
						<table cellpadding="0" cellspacing="0" align="center" height="30">
							<tr>
								<td width="30"></td>		
								<xsl:call-template name="TOP-MENU"/>
								<td width="30"></td>								
							</tr>
						</table>	
						<!-- END MENU -->
					</td>
					<td><img src="images/menu_r.gif" border="0" alt=""/></td>
				</tr>
			</table>
		</TD>
	</TR>
	<TR>
		<TD height="100%" valign="top" bgcolor="#F6F6F6">
			<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
				<tr>
					<td style="background-image: url('images/lbg.gif'); background-repeat: repeat-y;">
						<table cellpadding="0" cellspacing="0" border="0" width="231" height="100%" style="background-image: url('images/lbg.jpg'); background-position: bottom; background-repeat: no-repeat;">
							<tr>
								<td valign="top">
									<table cellpadding="0" cellspacing="0" border="0" align="center">
										<tr><td><img src="images/submenu_tbg.gif" border="0" alt=""/></td></tr>
										<tr>
											<td style="background-image: url('images/submenu_bg.gif'); background-repeat: repeat-y;">
												<!-- SUBMENU -->												
												<table cellpadding="0" cellspacing="0" width="145" align="center">
													<xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
												</table>	
												<!-- END SUBMENU -->
											</td>
										</tr>
										<tr><td><img src="images/submenu_bbg.gif" border="0" alt=""/></td></tr>
									</table>
								</td>
							</tr>
						</table>
					</td>
					<td width="100%" valign="top" class="pageContent" style="border-bottom: 1px solid #E7E7E7; padding: 20px;">
						<div class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></div>
						<div style="width:1px; height:15px;"><spacer type="block" width="1" height="15"/></div>
						<xsl:apply-templates select="PAGE-CONTENT"/>
					</td>
				</tr>
			</table>
		</TD>
	</TR>
	<TR>
		<TD height="51" valign="bottom" style="background-image: url('images/bmenu_bg.gif'); background-repeat: repeat-x;">
		<!-- BOTTOM MENU -->
			<table cellpadding="0" cellspacing="0" align="center">
				<tr>
					<xsl:call-template name="BOTTOM-MENU"/>
				</tr>
			</table>		
		<!-- END BOOTTOM MENU -->
		</TD>
	</TR>
	<TR>
		<TD height="54" style="background-image: url('images/footer_bg.gif'); background-repeat: repeat-x;">
			<table cellpadding="0" cellspacing="0" border="0" width="100%" height="54">
				<tr>
					<td><img src="images/footer_l.gif" border="0" alt=""/></td>
					<td width="100%" align="center" valign="bottom" class="footer" style="background-image: url('images/footer_bg.jpg'); background-repeat: no-repeat; padding-bottom: 10px;">
						<!-- FOOTER -->
						<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
						<!-- END FOOTER -->
					</td>
					<td><img src="images/footer_r.gif" border="0" alt=""/></td>
				</tr>
			</table>
		</TD>
	</TR>
</TABLE>
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>									
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
			<tr>								
				<td style="padding-left: 10px"><img src="images/submenu_bullet.gif" border="0"/></td>
				<td style="padding-left: 10px" height="24" width="100%" class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
			</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
				<tr>								
					<td style="padding-left: 10px"><a href="{@HREF}"><img src="images/submenu_bullet.gif" border="0"/></a></td>
					<td style="padding-left: 10px" height="24" width="100%"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
				</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<tr><td colspan="2" height="2" style="background-image: url('images/submenu_hr.gif'); background-position: center; background-repeat: no-repeat;"></td></tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
			<td><a href="{@HREF}" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
			<td class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
           </xsl:when>
           <xsl:otherwise>
 			<td><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
			<td width="5"></td>
			<td><img src="images/bmenu_separator.gif" style="margin: 0px 5px 0px 5px;"/></td>
			<td width="5"></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}">
		<xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute>
	</meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
