<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" class="main-bg" style="background-image: url('images/main_bg.jpg'); background-position: bottom; background-repeat: repeat-x;">
	<tr>
		<td style="background-image: url('images/main_lbg.jpg'); background-position: bottom left; background-repeat: no-repeat;">
			<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" style="background-image: url('images/main_rbg.jpg'); background-position: bottom right; background-repeat: no-repeat;">
				<tr>
					<td>
<TABLE WIDTH="731" HEIGHT="100%" CELLPADDING="0" CELLSPACING="0" BORDER="0" align="center">
	<TR>
		<TD height="132" valign="top">
			<table cellpadding="0" cellspacing="0" border="0" width="731" height="132">
				<tr>
					<td width="207" align="center">
						<!-- LOGO -->
						<table cellpadding="0" cellspacing="0">
							<tr>
								<td rowspan="2"><a href="./"><img src="images/{LOGO/@NAME}" border="0" style="margin-right: 5px;"/></a></td>
								<td class="company" valign="bottom"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
							</tr>
							<tr><td class="slogan" valign="top"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td></tr>
						</table>
						<!-- END LOGO -->
					</td>
					<td width="5"></td>
					<td width="519" valign="bottom" style="padding-bottom: 30px;">
						<!-- MENU -->
						<table cellpadding="0" cellspacing="0">
							<tr>
								<xsl:call-template name="TOP-MENU"/>
							</tr>
						</table>		
						<!-- END MENU -->
					</td>
				</tr>
			</table>
		</TD>
	</TR>
	<TR><TD height="237"><img src="images/header.jpg" border="0" alt=""/></TD></TR>
	<TR>
		<TD height="100%" valign="top">
			<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
				<tr>
					<td height="100%">
						<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" style="background-image: url('images/bg.gif'); background-repeat: repeat-y;">
							<tr>
								<td valign="top" style="background-image: url('images/bg.jpg'); background-position: bottom; background-repeat: no-repeat;">
									<table cellpadding="0" cellspacing="0" border="0" width="100%" height="329">
										<tr>
											<td width="207" valign="top">
												<!-- SUBMENU -->
												<table cellpadding="0" cellspacing="0" width="130" align="center">
													<xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
												</table>	
												<!-- END SUBMENU -->
											</td>
											<td><div style="width:35px; height:1px;"><spacer type="block" width="35" height="1"/></div></td>
											<td width="454" valign="top" class="pageContent">
												<!-- CONTENT -->
												<div class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></div>
												<div style="width:1px; height:15px;"><spacer type="block" width="1" height="15"/></div>
												<xsl:apply-templates select="PAGE-CONTENT"/>
												<!-- END CONTENT -->											
											</td>
											<td><div style="width:35px; height:1px;"><spacer type="block" width="35" height="1"/></div></td>
										</tr>
									</table>
								</td>
							</tr>
						</table>
					</td>
				</tr>
				<tr><td><img src="images/bbg.gif" border="0" alt=""/></td></tr>
			</table>
		</TD>
	</TR>
	<TR>
		<TD height="70">
			<table cellpadding="0" cellspacing="0" border="0" width="731" height="70">
				<tr>
					<td width="207" align="center" class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
					<td width="524">
						<!-- BOTTOM MENU -->
						<table cellpadding="0" cellspacing="0" align="center">
							<tr>
								<xsl:call-template name="BOTTOM-MENU"/>
							</tr>
						</table>		
						<!-- END BOOTTOM MENU -->
					</td>
				</tr>
			</table>
		</TD>
	</TR>
</TABLE>					
					</td>
				</tr>
			</table>
		</td>
	</tr>
</table>
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>
													

<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>		
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
			<tr>								
				<td style="padding-left: 5px" height="24" width="100%" class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>					
				<td align="right" style="padding: 0 5px 0 5px"><img src="images/submenu_bullet.gif" border="0"/></td>
			</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">				
				<tr>								
					<td style="padding-left: 5px" height="24" width="100%"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
					<td align="right" style="padding: 0 5px 0 5px"><a href="{@HREF}"><img src="images/submenu_bullet.gif" border="0"/></a></td>
				</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<tr><td colspan="2" height="1" background="images/submenu_hr.gif"></td></tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
			<td><a href="{@HREF}" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
			<td class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
           </xsl:when>
           <xsl:otherwise>
 			<td><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
			<td width="5"></td>
			<td><img src="images/separator.gif" style="margin: 0px 5px 0px 5px;"/></td>
			<td width="5"></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}">
		<xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute>
	</meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
